Index: eclaireXL_ITX/atari800core_eclaireXLv1.vhd
===================================================================
--- eclaireXL_ITX/atari800core_eclaireXLv1.vhd	(revision 962)
+++ eclaireXL_ITX/atari800core_eclaireXLv1.vhd	(revision 963)
@@ -21,7 +21,8 @@
 	(
 		-- For initial port may help to have no
 		internal_rom : integer := 1;  -- if 0 expects it in sdram,is 1:16k os+basic, is 2:... TODO
-		internal_ram : integer := 16384  -- at start of memory map
+		internal_ram : integer := 16384;  -- at start of memory map
+		sid : integer := 0 
 	);
 	PORT
 	(
@@ -989,7 +990,8 @@
 		video_bits => 8,
 		palette => 0,
 		internal_ram => internal_ram,
-		freezer_debug => 1
+		freezer_debug => 1,
+		sid => sid
 	)
 	PORT MAP
 	(
Index: eclaireXL_ITX/atari800core_eclaireXLv2.vhd
===================================================================
--- eclaireXL_ITX/atari800core_eclaireXLv2.vhd	(revision 962)
+++ eclaireXL_ITX/atari800core_eclaireXLv2.vhd	(revision 963)
@@ -21,7 +21,8 @@
 	(
 		-- For initial port may help to have no
 		internal_rom : integer := 1;  -- if 0 expects it in sdram,is 1:16k os+basic, is 2:... TODO
-		internal_ram : integer := 16384  -- at start of memory map
+		internal_ram : integer := 16384;  -- at start of memory map
+		sid : integer := 0
 	);
 	PORT
 	(
@@ -1065,7 +1066,8 @@
 		video_bits => 8,
 		palette => 0,
 		internal_ram => internal_ram,
-		freezer_debug => 1
+		freezer_debug => 1,
+		sid => sid
 	)
 	PORT MAP
 	(
@@ -1278,6 +1280,7 @@
 			sd_writeprotect&sd_detect&
 			(atari_keyboard(28))&ps2_keys(16#5A#)&ps2_keys(16#174#)&ps2_keys(16#16B#)&ps2_keys(16#172#)&ps2_keys(16#175#)& -- (esc)FLRDU
 			FKEYS,
+			-- trigger menu with fire!: (FKEYS or (not(TRIG(0))&"00000000000")),
 		ZPU_IN2 => X"00000000",
 		ZPU_IN3 => atari_keyboard(31 downto 0),
 		ZPU_IN4 => atari_keyboard(63 downto 32),
Index: eclaireXL_ITX/atari800core_eclaireXLv3.vhd
===================================================================
--- eclaireXL_ITX/atari800core_eclaireXLv3.vhd	(revision 962)
+++ eclaireXL_ITX/atari800core_eclaireXLv3.vhd	(revision 963)
@@ -22,7 +22,8 @@
 	(
 		-- For initial port may help to have no
 		internal_rom : integer := 1;  -- if 0 expects it in sdram,is 1:16k os+basic, is 2:... TODO
-		internal_ram : integer := 16384  -- at start of memory map
+		internal_ram : integer := 16384;  -- at start of memory map
+		sid : integer := 0
 	);
 	PORT
 	(
@@ -1045,7 +1046,8 @@
 		video_bits => 8,
 		palette => 0,
 		internal_ram => internal_ram,
-		freezer_debug => 1
+		freezer_debug => 1,
+		sid => sid
 	)
 	PORT MAP
 	(
Index: eclaireXL_ITX/build.sh
===================================================================
--- eclaireXL_ITX/build.sh	(revision 962)
+++ eclaireXL_ITX/build.sh	(revision 963)
@@ -16,7 +16,8 @@
 		"internal_rom" => 1,
 		"fpga" => "5CEBA2F23C8",
 		"postfix" => "v3",
-		"convert" => "v3a"
+		"convert" => "v3a",
+		"sid" => 0
 	},
 	"A4EBAv3rom" =>
 	{
@@ -24,7 +25,8 @@
 		"internal_rom" => 1,
 		"fpga" => "5CEBA4F23C8",
 		"postfix" => "v3",
-		"convert" => "v3b"
+		"convert" => "v3b",
+		"sid" => 1
 	},
 	"A2EBArom" =>
 	{
@@ -31,7 +33,8 @@
 		"internal_ram" => 65536,
 		"internal_rom" => 1,
 		"fpga" => "5CEBA2F23C8",
-		"postfix" => "v1"
+		"postfix" => "v1",
+		"sid" => 0
 	},
 	"A4EBArom" =>
 	{
@@ -38,7 +41,8 @@
 		"internal_ram" => 131072,
 		"internal_rom" => 1,
 		"fpga" => "5CEBA4F23C8",
-		"postfix" => "v2"
+		"postfix" => "v2",
+		"sid" => 1
 	},
 #	"A2EBAproto" =>
 #	{
@@ -116,6 +120,7 @@
 	`cp atari800core*.sdc $dir`;
 	`mkdir $dir/common`;
 	`mkdir $dir/common/a8core`;
+	`mkdir $dir/common/a8core/sid8580`;
 	`mkdir $dir/common/components`;
 	`mkdir $dir/common/zpu`;
 	`mkdir $dir/svideo`;
@@ -123,6 +128,7 @@
 	mkdir "./$dir/common/components/usbhostslave";
 	`cp ../common/components/usbhostslave/trunk/RTL/*/*.v ./$dir/common/components/usbhostslave`;
 	`cp ../common/a8core/* ./$dir/common/a8core`;
+	`cp ../common/a8core/sid8580/* ./$dir/common/a8core/sid8580/`;
 	`cp -r ../common/components/* ./$dir/common/components`;
 	`mv ./$dir/common/components/*cycloneV/* ./$dir/common/components/`;
 	`cp ../common/zpu/* ./$dir/common/zpu`;
@@ -135,7 +141,7 @@
 
 	my $fpga = $variants{$variant}->{"fpga"};
 	
- 	`../makeqsf ../atari800core_eclaireXL$postfix.qsf ./hdmi ./svideo ./common/a8core ./common/components ./common/zpu ./common/components/usbhostslave`;
+ 	`../makeqsf ../atari800core_eclaireXL$postfix.qsf ./hdmi ./svideo ./common/a8core ./common/a8core/sid8580 ./common/components ./common/zpu ./common/components/usbhostslave`;
 
 	`echo set_global_assignment -name DEVICE $fpga >> atari800core_eclaireXL$postfix.qsf`;
 
